%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A minicmd-plugin for the Xfce panel
Name:		xfce4-verve-plugin
Version:	1.0.0
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-verve-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-verve-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
# Patch originally from PLD Linux
Patch0:		xfce4-verve-plugin-1.0.0-port-to-libxfce4ui.patch
# Patch originally from PLD Linux
Patch1:		xfce4-verve-plugin-1.0.0-fix-build.patch
Patch2:		xfce4-verve-plugin-1.0.0-str-fmt.patch
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(dbus-glib-1)
Requires:	xfce4-panel >= 4.8.0

%description
This plugin is like the (quite old) xfce4-minicmd-plugin, except that it
feature more cool features, like autocompletion and command history.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x \
	--enable-dbus

%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README THANKS
%{_bindir}/verve-focus
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_libdir}/xfce4/panel-plugins/*


%changelog

* Fri Sep 07 2012 wally <wally> 1.0.0-5.mga2
+ Revision: 289580
- sync with cauldron (update to stable xfce 4.10)

* Sun Jun 17 2012 wally <wally> 1.0.0-5.mga3
+ Revision: 261131
- port to libxfce4ui (patch from PLD Linux)
- add patch to fix build (from PLD Linux)
- add patch fix str fmt introduced by libxfce4ui patch

* Tue May 29 2012 wally <wally> 1.0.0-4.mga3
+ Revision: 249330
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190070
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54197
- add missing define (Mandriva)
- imported package xfce4-verve-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 632787
- update to new version 1.0.0
- update url for Source0
- fix docs list

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-4mdv2010.1
+ Revision: 543445
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.3.6-3mdv2010.0
+ Revision: 446154
- rebuild

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-2mdv2009.1
+ Revision: 349538
- rebuild for xfce-4.6.0

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 306384
- update to new version 0.3.6
- new license policy
- spec file clean
- change name to be closer with upstream

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-7mdv2009.1
+ Revision: 294987
- rebuild for new Xfce4.6 beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.3.5-6mdv2009.0
+ Revision: 262428
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.3.5-5mdv2009.0
+ Revision: 257039
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.5-3mdv2008.1
+ Revision: 111063
- Fix BuildRequires and Requires

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-2mdv2008.0
+ Revision: 33271
- spec file clean

